// http://ionicframework.com/docs/theming/


// App Global Sass
// --------------------------------------------------
// Put style rules here that you want to apply globally. These
// styles are for the entire app and not just one component.
// Additionally, this file can be also used as an entry point
// to import other Sass files to be included in the output CSS.
//
// Shared Sass variables, which can be used to adjust Ionic's
// default Sass variables, belong in "theme/variables.scss".
//
// To declare rules for a specific mode, create a child rule
// for the .md, .ios, or .wp mode classes. The mode class is
// automatically applied to the <body> element in the app.

$greyl: #9B9B9B;
$greym: #424144;
$card: #3A393C;
$red: #FC252C;
$black: #030303;


@font-face {
  font-family: 'eurostile-bold';
  src: url('../assets/fonts/EurostileLTStd-Bold.woff2') format('woff2'),
       url('../assets/fonts/EurostileLTStd-Bold.woff') format('woff'),
       url('../assets/fonts/EurostileLTStd-Bold.svg#EurostileLTStd-Bold') format('svg');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'eurostile-regular';
  src: url('../assets/fonts/EurostileLTStd.woff2') format('woff2'),
       url('../assets/fonts/EurostileLTStd.woff') format('woff'),
       url('../assets/fonts/EurostileLTStd.svg#EurostileLTStd') format('svg');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'eurostile-ex2';
  src: url('../assets/fonts/EurostileLTStd-Ex2.woff2') format('woff2'),
       url('../assets/fonts/EurostileLTStd-Ex2.woff') format('woff'),
       url('../assets/fonts/EurostileLTStd-Ex2.svg#EurostileLTStd-Ex2') format('svg');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'icomoon';
  src:  url('../assets/fonts/icomoon.eot?mfigto');
  src:  url('../assets/fonts/icomoon.eot?mfigto#iefix') format('embedded-opentype'),
    url('../assets/fonts/icomoon.ttf?mfigto') format('truetype'),
    url('../assets/fonts/icomoon.woff?mfigto') format('woff'),
    url('../assets/fonts/icomoon.svg?mfigto#icomoon') format('svg');
  font-weight: normal;
  font-style: normal;
}

[class^="icon-"], [class*=" icon-"] {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'icomoon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon-arrowcircle:before {
  content: "\e900";
}
.icon-backarrow:before {
  content: "\e901";
}
.icon-calendar:before {
  content: "\e902";
}
.icon-caret:before {
  content: "\e903";
}
.icon-email:before {
  content: "\e904";
}
.icon-lift:before {
  content: "\e905";
}
.icon-nutrition:before {
  content: "\e906";
}
.icon-ruler:before {
  content: "\e907";
}
.icon-target:before {
  content: "\e908";
}
.icon-tickcircle:before {
  content: "\e909";
}
.icon-timezone:before {
  content: "\e90a";
}
.icon-user:before {
  content: "\e90b";
}
.icon-weight:before {
  content: "\e90c";
}

body, html {
  margin: 0;
  // background: #fff;
}

ion-app.md {
  background-color: transparent;
}

.content-md {
  background-color: transparent;
}

.content {
  background-color: transparent;
}

page-login, page-password-reset, page-front {
  background-image: url('../assets/images/jay01.png');
  background-size: cover;
    background-position: 50% 50%;
    .bg-overlay {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: rgba(0,0,0,0.3);
    }
    .login-header {
      margin-bottom: 60px;
      .title {
        font-family: '';
        color: $red;
        text-transform: uppercase;
        font-family: 'eurostile-bold';
        font-size: 16px;
      }
    }
    .scroll-content {
      display: flex;
      align-items: center;
      justify-content: flex-end;
      flex-direction: column;
      padding: 20px 30px !important;
      box-sizing: border-box;
      background: transparent !important;
      form {
        width: 100%;
        input {
          padding: 14px 15px;
          font-family: 'eurostile-ex2';
          font-size: 14px;
          margin-bottom: 10px;
          margin-top: 0;
          background: white;
          color: $greyl;
          margin-right: 0px;
          width: 100%;
        }
        button {
          background: $red;
          color: white;
          font-family: 'eurostile-bold';
          font-size: 14px;
          height: auto !important;
          text-transform: uppercase;
          width: auto;
          padding: 17px 40px 14px 40px;
          line-height: 1;
          margin: auto;
          border-radius: 0;
          margin-top: 10px;
          span {
            line-height: 1;
          }
          &[disabled] {
            opacity: 1;
          }
        }
        > a {
          color: white;
          font-family: 'eurostile-ex2';
          font-size: 12px;
          display: inline-block;
          margin-bottom: 10px;
          text-decoration: underline;
        }
      }
      > a {
        color: white;
        font-family: 'eurostile-ex2';
        font-size: 14px;
        display: inline-block;
        margin-top: 40px;
        &:hover {
          color: $red;
        }
      }
    }
}

.toolbar .toolbar-background {
  background: $black !important;
  border-bottom: 1px solid $greym !important;
}

.header .toolbar:last-child .toolbar-background {
  border-width: 0;
}

.col, .grid {
  padding: 0 !important;
}

profilebar {
  .toolbar {
    padding: 15px 18px !important;
  }
}

ion-toolbar {
  .select {
      padding: 0px;
      margin: 0 !important;
      max-width: 100%;
  }
  .week-select {
      display: flex;
      align-items: center;
      width: auto;
      button {
        padding: 0;
      }
      .select-text {
        width: auto;
        display: inline-block;
      }
      .select {
        font-family: 'eurostile-bold';
        font-size: 13px;
        text-transform: uppercase;
        color: white;
        width: auto;
        padding-right: 5px;
        &:after {
          content: '';
          width: 11px;
          height: 11px;
          background-image: url(../assets/images/caret.svg);
          background-size: cover;
          background-position: 50% 50%;
          margin-left: 5px;
        }
        .select-icon {
          display: none;
          width: 11px;
          height: 11px;
          background-image: url(../assets/images/caret.svg);
          background-size: cover;
          background-position: 50% 50%;
          margin-top: 1px;
          margin-right: 7px;
          .select-icon-inner {
            border: 0;
          }
        }
      }
  }
  .logo {
    text-align: center;
  }
  .user-button {
    display: flex;
    justify-content: flex-end;
  }
}

.scroll-content {
  background-image: url('../assets/images/carbon-bg.png');
  background-position: 50% 50%;
  background-size: 85%;
  padding: 18px !important;
}

button {
  contain: none !important;
}

.card {
  margin: 0;
  width: 100%;
  background: transparent;
  text-align: left;
  margin-bottom: 5px;
  border-radius: 0;
  button {
    padding: 22px 25px;
    margin: 0;
    background: $card;
    color: white;
    text-align: left;
    display: flex;
    align-items: center;
    height: auto;
    &:hover {
      background: #2e2d2f !important;
    }
    span {
      display: block;
    }
  }
}

ion-alert {
  .alert-radio-label {
    color: white !important;
    font-family: 'eurostile-bold';
  }
  .alert-radio-inner {
    border-color: white !important;
  }
  ion-backdrop {
    background: black;
    opacity: 0.6 !important;
    transition: ease all 0.2s;
  }
  .alert-button {
    color: white !important;
    font-family: 'eurostile-bold';
    border: 0 !important;
    &:first-of-type {
      border-right: 1px solid #555 !important;
    }
  }
  .alert-wrapper {
    background-color: black !important;
    color: white;
    border-radius: 0 !important;
  }
  .alert-button-group {
    background: $greym;
    padding: 0;
    button {
      padding: 15px 10px !important;
    }
  }
  .alert-radio-group {
    border-top: 0 !important;
  }
  .alert-message {
    display: none;
  }
  .alert-head {
    background: $greym;
  }
}

.weekly-items {
  .button-inner {
    display: flex;
    justify-content: space-between;
    .week-label {
      font-family: 'eurostile-bold';
      font-size: 16px;
      color: white;
      text-transform: uppercase;
    }
    .week-title {
      font-family: 'eurostile-ex2';
      font-size: 14px;
      color: white;
      text-transform: uppercase;
      margin-top: 3px;
      margin-bottom: -2px;
    }
    .icon {
      font-size: 31px;
      color: #A4AAB3;
    }
  }
}

.section-title {
  color: white;
  text-transform: uppercase;
  font-size: 16px;
  font-family: 'eurostile-bold';
  margin-bottom: 5px;
  width: 100%;
}

page-home {
  .slides {
    margin-bottom: 35px !important;
  }
}

ion-slides {
  .swiper-container {
    overflow: visible !important;
  }
}

.swiper-slide {
  display: block;
  .overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    mix-blend-mode: multiply;
  }
  .overlay.red {
    background: rgba(252,37,44,1);
  }
  .overlay.blue {
    background: rgba(80,125,255,1);
  }
  .overlay.orange {
    background: rgba(207,97,55,0.9);
  }
  .overlay.yellow {
    background: rgba(255,233,0,1);
  }
  .overlay.green {
    background: rgba(115,218,130,1);
  }
  .overlay.purple {
    background: rgba(158,102,208,1);
  }
  .overlay.teal {
    background: rgba(71,255,244,1);
  }
  .slide-zoom {
    .card {
      position: relative;
      border-radius: 0;
      border-right: 10px solid transparent;
        margin-bottom: 0;
      .card-content {
        position: absolute;
        bottom: 10px;
        left: 10px;
        padding: 0;
        .card-title {
          padding: 0;
          margin: 0;
          color: white;
          font-family: 'eurostile-ex2';
          font-size: 16px;
        }
      }
    }
  }
}

button.back-btn {
  background: transparent;
  padding: 0;
  margin: 0;
}

.sub-page-heading {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
  .flex-buffer {
    width: 27px;
    height: 40px !important;
  }
  .title {
    color: white;
    font-family: 'eurostile-bold';
    font-size: 16px;
    text-transform: uppercase;
    width: calc(100% - 54px);
    text-align: center;
      padding: 0px 30px;
      word-break: break-word;
  }
  button {
    font-size: 27px;
    height: auto;
  }
}

.progress-list {
  margin-top: 10px;
  margin-bottom: 0;
  .item {
    background: #424144;
    border-top: 0 !important;
    margin-bottom: 5px;
    padding: 0;
    min-height: auto;
    padding: 10px;
    box-sizing: border-box;
    &:last-child {
      border-bottom: 0;
      margin-bottom: 0;
    }
    .label {
      margin: 0;
      font-family: 'eurostile-bold';
      text-transform: uppercase;
      font-size: 10px;
      margin-top: 3px;
    }
    .item-inner {
      border-bottom: 0px !important;
      padding-right: 0px;
      h3 {
        margin: 0;
        color: white;
        font-family: 'eurostile-bold';
        font-size: 14px;
        text-transform: uppercase;
        line-height: 1;
      }
    }
    button {
      margin: 0 !important;
      background: transparent;
      padding: 18px 15px;
      height: auto;
      border: 1px dashed #979797;
      border-radius: 0px;
      .button-inner {
        display: block;
      }
    }
  }
}

ion-segment {
  border-radius: 0;
  .segment-button {
    margin: 0;
    border-radius: 0 !important;
    background-color: $greym !important;
    border: 0 !important;
    color: white !important;
    font-family: 'eurostile-bold';
    font-size: 14px;
    height: auto !important;
    line-height: 1 !important;
    padding: 15px 10px;
    margin-right: 1px !important;
    &:last-of-type {
      margin-right: 0px !important;
    }
  }
  .segment-activated {
    background-color: $red !important;
  }
}

.demonstration-list {
  .single-demonstration {
    position: relative;
    margin-bottom: 20px;
    &:last-of-type {
      margin-bottom: 0px;
      h3 {
        margin-bottom: 0px;
      }
    }
    h3 {
      font-family: 'eurostile-ex2';
      font-size: 14px;
      text-transform: uppercase;
      color: white;
      margin-top: 10px;
      text-align: center !important;
    }
  }
}

.daily-workouts {
  .content {
    background-color: white;
    padding: 20px;
    margin-top: 7px;
    p {
      font-size: 16px;
      margin-bottom: 10px;
      &:last-of-type {
        margin-bottom: 0px;
      }
    }
  }
}

.nutrition-week {
  margin-top: 10px;
  .content {
    background-color: white;
    padding: 20px;
    p {
      font-size: 16px;
      margin-bottom: 10px;
      &:last-of-type {
        margin-bottom: 0px;
      }
    }
  }
  .single-recipe {
    .item {
      padding: 0;
      margin: 0;
      background: $greym;
      margin-bottom: 5px;
      border: 0 !important;
      .item-inner {
        padding: 0;
        margin: 0;
        border: 0 !important;
        .label {
          padding: 0;
          margin: 0;
          .video-content {
            display: flex;
            padding: 10px;
            .uploaded-image {
              overflow: hidden;
              height: 85px;
              width: 85px;
              flex: 0 1 auto;
              display: flex;
              justify-content: center;
              align-items: center;
              background-size: cover;
              background-position: 50% 50%;
            }
            h3 {
              margin: 0;
              font-weight: normal;
              font-family: 'eurostile-ex2';
              font-size: 14px;
              text-transform: uppercase;
              padding-top: 15px;
              color: white;
              margin-left: 15px;
              width: calc(100% - 85px);
              white-space: pre-wrap;
              word-break: break-word;
              overflow: hidden;
            }
          }
        }
      }
    }
    .item {
      button {
        margin: 0;
        background: transparent;
        font-family: 'eurostile-bold';
        font-size: 14px;
        text-transform: uppercase;
        display: flex;
        justify-content: space-between;
        align-items: center;
        line-height: 1;
        padding: 0;
        padding-left: 15px;
        span {
          line-height: 1;
          margin-bottom: -2px;
        }
        .icon-backarrow {
          transform: rotate(180deg);
          margin-left: 3px;
        }
      }
    }
  }
}

.training-splits {
  .content {
    background-color: white;
    padding: 20px;
    margin-top: 10px;
    p {
      font-size: 16px;
      margin-bottom: 10px;
      &:last-of-type {
        margin-bottom: 0px;
      }
    }
  }
}

.subscription-page {
  .content {
    background-color: white;
    padding: 20px;
    margin-top: 7px;
    p {
        font-size: 16px;
      margin-bottom: 10px;
      color: black;
      &:last-of-type {
        margin-bottom: 0px;
      }
    }
  }
}

.overview-page {
  .content {
    margin-top: 10px;
    padding: 20px;
    background: white;
    p {
        font-size: 16px;
        color: black;
        margin-top: 0;
        &:last-of-type {
          margin-bottom: 0px;
        }
    }
  }
}

.account-heading {
  align-items: flex-start;
  margin-bottom: 20px;
}

.btn-skeleton {
  background: #424144;
  border-top: 0 !important;
  margin-bottom: 5px;
  min-height: auto;
  padding: 17px 15px 16px 15px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  font-family: 'eurostile-ex2';
  font-size: 14px;
  color: white;
  margin-top: 0;
  text-transform: uppercase;
  border: 1px solid white !important;
  border-radius: 0px;
}

.profile-photo {
  height: 80px;
  width: 80px;
  overflow: hidden;
  border-radius: 50%;
  margin: auto;
  margin-bottom: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  img {
    width: 100%;
  }
}

.account-list {
  .btn-skeleton {
    margin-top: 7px;
  }
  .item {
    background: #424144;
    border-top: 0 !important;
    margin-bottom: 5px;
    min-height: auto;
    padding: 21px 15px 20px 15px;
    box-sizing: border-box;
    .label {
      margin: 0;
      white-space: normal;
      h2 {
        font-family: 'eurostile-ex2';
        text-transform: uppercase;
        font-size: 14px;
        color: white;
        margin-top: 0;
      }
    }
  }
  .item-inner {
    border-bottom: 0px !important;
    padding-right: 0px !important;
    // background-image: url('../assets/images/nextarrow.svg') !important;
    .input-wrapper {
      .label {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        .icon-arrowcircle {
          font-size: 20px;
          margin-top: 1px;
        }
      }
    }
    .label {
      font-family: 'eurostile-ex2';
      font-size: 14px;
      color: white;
      margin-top: 0;
    }
  }
}

.title.change-profile-photo {
  padding: 0px 10px;
  font-family: 'eurostile-ex2';
  font-size: 14px;
  text-transform: capitalize;
}

.profile-items {
  margin-bottom: 0;
  ion-list.list {
    margin: 0 !important;
  }
  button {
    margin-bottom: 0;
  }
  .item {
    background: white;
    border-top: 0 !important;
    margin-bottom: 5px;
    min-height: auto;
    padding: 15px 15px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    .icon {
      color: $greyl;
      font-size: 18px;
      margin-right: 15px;
    }
    .item-inner {
      border-bottom: 0;
    }
    .text-input {
      border-bottom: 0;
      padding: 0;
      margin: 0;
      font-family: 'eurostile-ex2';
      font-size: 14px;
      &::placeholder {
        text-transform: uppercase;
        font-size: 11px;
      }
    }
  }
  .upload-photo {
    background: transparent;
    padding: 0;
    button {
      margin: 0 !important;
      background: transparent;
      padding: 18px 15px;
      height: auto;
      width: 100%;
      border: 1px dashed #979797;
      border-radius: 0px;
      .button-inner {
        display: block;
      }
    }
  }
}

.welcome-message {
  text-align: center;
  margin-top: 40px;
  margin-bottom: 30px;
  h2 {
    font-family: 'eurostile-bold';
    font-size: 18px;
    text-transform: uppercase;
    color: white;
    font-weight: normal;
  }
  p {
    font-family: 'eurostile-regular';
    font-size: 16px;
    color: white;
    line-height: 1.4;
  }
}

.nutrition-week {
  h2 {
    font-family: 'eurostile-ex2';
      text-transform: uppercase;
      font-size: 14px;
      color: white;
      margin-top: 25px;
  }
  a {
    text-decoration: none;
    display: inline-block;
    margin: auto;
    margin-top: 15px;
    text-align: center;
  }
}

button.activated {
  background: $card !important;
  .icon {
    color: $red !important;
  }
}

button.back-btn.activated {
  background: transparent !important;
  .icon-backarrow {
    color: $red !important;
  }
}

ion-toolbar button.activated {
  background: transparent !important;
}

.account-list {
  button.activated {
    background: $greyl;
    .icon-arrowcircle {
      color: $red !important;
    }
  }
}

ion-avatar {
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    img {
      width: 100%;
      height: auto !important;
    }
}

.item-inner {
  background-image: none !important;
}

.coaching-page {
  .btn-skeleton {
    width: 100% !important;
    text-decoration: none;
      display: inline-block;
    text-align: center;
  }
  .content-block {
    background: white;
    padding: 20px;
    margin-top: 10px;
    p {
      font-size: 16px;
      &:last-of-type {
        margin-bottom: 0px;
      }
    }
  }
}

.education-list {
  margin-top: 5px;
}

.video-list, .education-list {
  .item {
    padding: 0;
    margin: 0;
    background: $greym;
    margin-bottom: 5px;
    border: 0 !important;
    .item-inner {
      padding: 0;
      margin: 0;
      border: 0 !important;
      .label {
        padding: 0;
        margin: 0;
        .video-content {
          display: flex;
          padding: 10px;
          .uploaded-image {
            overflow: hidden;
            height: 85px;
            width: 85px;
            display: flex;
            justify-content: center;
            align-items: center;
            background-size: cover;
            background-position: 50% 50%;
          }
          h3 {
            margin: 0;
            font-weight: normal;
            font-family: 'eurostile-ex2';
            font-size: 14px;
            text-transform: uppercase;
            padding-top: 15px;
            color: white;
            margin-left: 15px;
            width: calc(100% - 100px);
            white-space: normal;
          }
        }
      }
    }
  }
}

.content {
  p {
    &:first-of-type {
      margin-top: 0;
    }
  }
}

.faq-list {
  .single-faq {
    margin-bottom: 5px;
    .title.active {
      &:after {
        content: '';
        width: 8px;
        height: 2px;
        background: white;
        top: 20px;
        right: 17px;
      }
    }
    .title {
      font-family: 'eurostile-ex2';
      font-size: 14px;
      text-transform: uppercase;
      position: relative;
      padding: 15px;
      box-sizing: border-box;
      background: $greym;
      color: white;
      padding-right: 43px;
      line-height: 1;
      &:after {
        content: '+';
        position: absolute;
        right: 15px;
        top: 13px;
        color: white;
        font-size: 18px;
        font-family: 'eurostile-bold';
      }
    }
    .content {
      display: none;
      .inner {
        background: white;
        padding: 20px;
        p {
          font-family: 'eurostile-regular';
          font-size: 16px;
          &:last-of-type {
            margin-bottom: 0px;
          }
        }
      }
    }
  }
}

.segment-button {
  font-size: 16px !important;
}

button {
  height: auto !important;
  span {
    display: block;
  }
}

.tabbar.show-tabbar {
  background: black;
  color: white;
  border-top: 1px solid #424144 !important;
  .tab-button {
    padding: 14px 5px 14px 5px;
  }
  .tab-button[aria-selected="true"] {
    ion-icon, .tab-button-text {
      color: $red;
    }
    ion-icon {
      &:before {
        color: $red;
      }
    }
  }
  .tab-button-text {
    font-family: 'eurostile-bold';
    font-size: 14px;
    color: white;
  }
}

input {
  transition: ease all 0s !important;
  transform: initial !important;
}

.center {
  text-align: center;
}

ion-toolbar.toolbar img {
    display: block;
}

.video {
  position: relative;
  .playpause {
      background-image: url('../assets/images/playpause.png');
      background-repeat: no-repeat;
      position: absolute;
      left: 50%;
      top: 50%;
      margin-left: -26px;
      margin-top: -26px;
      width: 52px;
      height: 52px;
      background-size: contain;
      background-position: center;
      cursor: pointer;
      z-index: 22;
  }
}

.nutrition-content {
  background: white;
  padding: 20px;
  margin-bottom: 10px;
  p {
    font-size: 16px;
    &:last-of-type {
      margin-bottom: 0px;
    }
  }
}

.education-content {
  background: white;
  padding: 20px;
  margin-bottom: 10px;
  margin-top: 10px;
  p {
    font-size: 16px;
    &:last-of-type {
      margin-bottom: 0px;
    }
  }
}

p.general-title {
    font-family: 'eurostile-ex2';
    font-size: 14px;
    text-transform: uppercase;
    color: white;
  text-align: center;
    margin: 25px 0px !important;
}

h3.general-title {
    font-family: 'eurostile-ex2';
    font-size: 14px;
    text-transform: uppercase;
    color: white;
  text-align: center;
    margin: 30px 0px !important;
    font-weight: bold;
}

h3.reset-title {
    font-family: 'eurostile-ex2';
    font-size: 14px;
    text-transform: uppercase;
    color: white;
  text-align: left;
    margin: 0px 0px 10px 0px !important;
    font-weight: bold;
    width: 100%;
}

p.reset-message {
  font-family: 'eurostile-regular';
    color: white;
    text-align: left;
    margin-bottom: 30px;
    a {
      color: white;
      text-decoration: underline;
      margin-top: 10px;
      display: inline-block;
      font-family: 'eurostile-ex2';
      font-size: 12px;
    }
}

.toast-message {
  font-family: 'eurostile-regular' !important;
  letter-spacing: normal !important;
  display: block !important;
}

.full-image {
  width: 100%;
}


.ion-ios-icon-nutrition-outline, .ion-ios-icon-nutrition, .ion-md-icon-nutrition {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'icomoon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  color: white;
  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  &:before {
    content: '\e906';
    color: white;
    font-size: 24px;
  }
}

.ion-ios-icon-lift, .ion-ios-icon-lift-outline, .ion-md-icon-lift {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'icomoon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  color: white;
  font-size: 18px;
  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  &:before {
    content: '\e905';
    color: white;
    font-size: 24px;
  }
}

.ion-ios-icon-weight, .ion-ios-icon-weight-outline, .ion-md-icon-weight {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'icomoon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  color: white;
  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  &:before {
    content: '\e90c';
    color: white;
    font-size: 24px;
  }
}

.ion-ios-icon-calendar-outline, .ion-ios-icon-calendar, .ion-md-icon-calendar {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'icomoon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  color: white;
  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  &:before {
    content: '\e902';
    color: white;
    font-size: 24px;
  }
}

.nutrition-buffer {
    margin-bottom: 50px;
}

span.tab-button-text {
    font-family: 'eurostile-bold';
}

#preloader {
    position: absolute;
    display: inline-block;
    width: 28px;
    height: 28px;
    z-index: 111111;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,0.5);
    color: white;
    display: none;
    svg {
      circle {
        stroke: #fff !important;
      }
    }
}

.loading-portal {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999;
    background: rgba(0,0,0,0.7);
}

.content {
  ul, ol {
    padding-left: 20px;
    li {
      font-size: 16px;
    }
  }
}

.upload-image {
  img {
    max-width: 13px;
  }
}

.tab-button-text {
  text-transform: uppercase !important;
}


.order-table.table {
  color: white;
  display: block;
  width: 100%;
  thead {
    display: none;
  }
  tbody {
    display: block;
    width: 100%;
  }
  tr {
    font-family: 'eurostile-ex2';
    font-size: 14px;
    text-transform: uppercase;
    color: white;
    margin-top: 10px;
    text-align: center !important;
    display: block;
    text-align: center;
    margin-bottom: 30px;
    width: 100%;
  }
  td {
    display: block;
    width: 100%;
    &:nth-of-type(2) {
      margin-top: 10px;
    }
  }

}

input.light-table-filter {
    color: black;
}

input.light-table-filter {
  width: 100%;
  border-radius: 0;
  padding: 10px;
  -webkit-appearance: none;
}

.loading-wrapper {
  background: transparent !important;
  box-shadow: none !important;
  text-shadow: none !important;
  .spinner circle {
    stroke: red;
    stroke-width: 10px;
  }
}

ion-loading {
  box-shadow: none !important;
}

.loading-ios,
.loading-md,
.loading-wp {
  .my-loading-class {
    background-color: transparent;
    box-shadow: none !important;
  }
}

ion-backdrop {
    transition: ease all 0.1s;
}

.add-top-margin {
  margin-bottom: 10px !important;
}

.content h4 {
    margin-top: 0px;
    text-align: center;
}

.education-content h4 {
    text-align: initial;
}

.custom-spinner-container {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 111111111111111111;
  height: 100%;
  width: 100%;
  background: red;
}

video {
  background: black;
}

.content-block.skeleton, .nutrition-content.skeleton {
  background: transparent;
  padding: 0;
  margin: 20px 0px;
  text-align: center;
  p {
    color: white !important;
  }
}

.daily-workouts.col {
    margin-top: 10px;
}

.segment-md .segment-button {
  padding: 15px 5px;
}

.tabs-md .tab-button[aria-selected=true] .tab-button-icon {
  transform: none;
  .button-effect {
    transform: none !important;
  }
}

.tabs-md .tab-button[aria-selected=true] .tab-button-text {
  transform: none !important;
}

.progress-image {
  position: static !important;
  margin-bottom: 5px;
  &:last-of-type {
    margin-bottom: 0px;
  }
}

.progress-image.active {
  .popup-image {
    opacity: 1;
    visibility: visible;
    pointer-events: all;
  }
}

.replace-image {
  display: block;
  text-align: center;
  width: 100%;
  padding: 10px 15px !important;
  .label {
    font-size: 9px !important;
  }
}

.uploaded-image {
  max-width: 76px;
  width: 100%;
  img {
    max-width: 76px;
    width: 100%;
    margin-bottom: 5px !important;
  }
}

.popup-image {
  position: fixed;
  top: 0px;
  left: 0px;
  background: rgba(0,0,0,0.7);
  width: 100%;
  height: calc(100vh + 73px);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999999999;
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
  transition: ease all 0.1s;
  .inner {
    margin: 20px;
    width: 100%;
    position: relative;
    img {
      width: 100%;
    }
  }
}

.close {
  font-size: 20px;
  color: white;
  position: absolute;
  top: -50px;
  right: -15px;
  padding: 15px;
  font-family: 'eurostile-bold';
}

.next {
  position: absolute;
  right: -15px;
  bottom: -50px;
  padding: 15px;
  color: white;
  font-size: 20px;
  font-family: 'eurostile-bold';
}

.previous {
  position: absolute;
  left: -15px;
  bottom: -50px;
  padding: 15px;
  color: white;
  font-size: 20px;
  font-family: 'eurostile-bold';
}

.activate-card-form {
  input {
    height: 40px;
    width: 100%;
    display: block;
    box-sizing: border-box;
    margin-bottom: 10px;
    padding: 10px;
  }
}

@media (min-width: 840px) {
  ion-app {
      max-width: 790px;
      display: block !important;
      float: none !important;
      position: relative !important;
  }
  ion-col.user-button.col {
      display: flex;
      align-items: center;
  }
  body {
      display: flex !important;
      justify-content: center !important;
      width: 100% !important;
      background: black;
      padding: 50px !important;
  }
}

.no-flex-please {
  display: block !important;
}

.back-btn {
  &:hover {
    background: transparent !important;
    color: $red;
  }
}

.subscription-page-content-styles {
  .sub-page-heading {
    margin-top: 20px;
    img {
      max-width: 75%;
      margin: auto;
    }
  }
  h1.title {
    font-size: 30px;
    text-transform: uppercase;
    text-align: center;
    font-family: 'eurostile-bold';
    margin-top: 40px;
    line-height: 1.1;
  }
  p.intro {
    font-size: 14px;
    line-height: 1.2;
    text-align: center;
    font-family: 'eurostile-ex2';
  }
  p.lower-grey {
    font-family: 'eurostile-regular';
    margin-bottom: 0px;
    text-align: center;
    margin-top: 10px;
    color: #767676;
  }
  p.restore-purchase {
    text-align: center;
    button {
      padding: 15px 20px 12px 20px; 
      color: white;
      box-shadow: 0px 0px 5px 2px rgba(252,37,44,0.4);
      background: black;
      text-transform: uppercase;
      border-radius: 0px;
      font-family: 'eurostile-bold';
      font-size: 10px;
    }
  }
}

.subscription-options {
  text-align: center;
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
  margin-top: 10px;
  padding: 0px 0px;
  box-sizing: border-box;
  .half {
    box-shadow: 0px 0px 5px 2px rgba(252,37,44,0.4);
    width: 46%;
    flex: 0 1 auto;
    .card {
      height: 100%;
      background: black;
    }
  }
  .product-title {
    text-align: center;
    display: flex;
    align-items: center;
    height: 90px;
    span {
      font-family: 'eurostile-bold';
      font-size: 22px;
      text-transform: uppercase;
      text-align: center;
      text-shadow: 1px 1px 1px rgba(0,0,0,0.5);
      color: white;
      width: 100%;
    }
  }
  .product-price {
    text-align: center;
    background: #ededed;
    padding: 12px 10px 10px 10px;
    font-family: 'eurostile-bold';
    letter-spacing: -0.5px;
  }
  .product-description {
    text-align: center;
    font-family: 'eurostile-bold';
    color: white;
    font-size: 14px;
    height: 70px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    padding-bottom: 5px;
  }
}

.features-list {
  display: none;
  ul {
    li {
      color: white;
    }
  }
}

.features-toggle {
  color: white;
  text-align: center;
  font-size: 12px;
  margin-top: 20px;
  text-transform: uppercase;
  text-decoration: underline;
}

.new-title-here {
  width: 100%;
  text-align: center !important;
  color: white;
  margin-bottom: 10px;
  font-size: 20px;
  font-family: 'eurostile-ex2';
}

p.min-sub-message {
  font-size: 14px;
  color: white;
  margin-top: 5px !important;
  display: block;
}

.lower-button {
  padding: 10px 0px;
  margin-top: 10px;
  width: 100%;
  text-align: center;
}

.privacy-group {
    border-top: 1px dashed white;
    padding-top: 10px;
    a {
      display: block;
      color: white;
      margin-top: 0px;
      padding: 5px 0px;
      text-align: center;
      font-size: 14px;
    }
}

ion-header.sub-back.header.header-ios {
    padding: 18px !important;
}

.subscription-page-content-styles.front-page-type {
  .sub-page-heading {
    margin-top: 15px;
  }
}


@media (max-width: 568px) {
  .subscription-page-content-styles h1.title {
    font-size: 25px;
  }
  .product-description {
    padding: 0px 10px;
  }
}

.alt-lower-button {
  margin-top: 0px;
}

.alt-lower-top {
  margin-bottom: 0px !important;
}